Name:           libasdcp
Version:        2.4.10
Release:        1%{?dist}
Summary:        An open source implementation of SMPTE and the MXF Interop “Sound & Picture Track File” format.

Group:          System Environment/Libraries
License:        John Hurst
URL:            http://www.cinecert.com/asdcplib/
Source0:        http://download.cinecert.com/asdcplib/asdcplib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  expat-devel
BuildRequires:  openssl-devel

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
asdcplib is an open source implementation of SMPTE and the MXF Interop “Sound & Picture Track File” format. It was originally developed with support from DCI. Development is currently supported by CineCert and other d-cinema manufacturers. See the bundled README file for more information. asdcplib is implemented in C++ and builds on Win32 and most unix platforms that support GCC.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n asdcplib-%{version}


%build
%configure --disable-static \
	--enable-as-02 \
	--enable-phdr \
	--with-openssl=%{_usr} \
	--with-expat=%{_usr} \
	--with-expat-inc=%{_includedir} \
	--with-expat-lib=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/as*
%{_bindir}/blackwave
%{_bindir}/j2c-test
%{_bindir}/klv*
%{_bindir}/km*
%{_bindir}/phdr*
%{_bindir}/wavesplit
%{_libdir}/*-%{version}.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/*.so
%exclude %{_libdir}/*-%{version}.so

%changelog
* Fri Apr 24 2015 momo-i <webmaster@momo-i.org> - 2.4.10-1
- Initial rpm release.
